Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022563
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2012-12-13 12:152013-02-01 22:28
ReporterngarciaView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revision3e072ede6f04
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022563: The Tax Amount is not calculated for discount lines when using Alternate Tax Base Amount

DescriptionThe Tax Amount is not calculated for discount lines when using Alternate Tax Base Amount
Steps To ReproduceAs group admin role:
   Change the Base Amount of a Tax Rate to 'Alternate Tax Base Amount' (for example, Adquisiciones IVA 21%)
   Create a Purchase Invoice with at least one line. Use that Tax
   Add a discount to it
   Complete it
   Notice that the Alternate Taxable Amount field of the discount line is not filled (in the Lines tab) and the Taxable Amount and Tax Amount remain as 0 (in the Line Tax tab)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0022946 closedjecharri In Orders the Tax Amount is not calculated for discount lines when using Alternate Tax Base Amount 

-  Notes
(0055949)
hgbot (developer)
2013-01-29 15:56

Repository: erp/devel/pi
Changeset: 3e072ede6f0461815831852e03a00324480a4c61
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jan 29 15:55:37 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3e072ede6f0461815831852e03a00324480a4c61 [^]

Fixes issue 22563: The Tax Amount is not calculated for discount
lines when using Alternate Tax Base Amount

---
M src-db/database/model/functions/C_INVOICE_POST.xml
---
(0055997)
jecharri (developer)
2013-01-31 10:03

Test cases:
-with steps to reproduce I think that is enough
(0056015)
ngarcia (developer)
2013-01-31 16:03

Solved for invoices, opened a new issue for orders
(0056083)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-12-13 12:15 ngarcia New Issue
2012-12-13 12:15 ngarcia Assigned To => dmiguelez
2012-12-13 12:15 ngarcia Modules => Core
2012-12-13 12:15 ngarcia Triggers an Emergency Pack => No
2012-12-13 12:16 ngarcia Issue Monitored: networkb
2012-12-13 12:37 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-01-09 11:27 jonalegriaesarte Target Version 3.0MP19 => 3.0MP20
2013-01-28 13:54 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-01-29 15:56 hgbot Checkin
2013-01-29 15:56 hgbot Note Added: 0055949
2013-01-29 15:56 hgbot Status new => resolved
2013-01-29 15:56 hgbot Resolution open => fixed
2013-01-29 15:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3e072ede6f0461815831852e03a00324480a4c61 [^]
2013-01-31 10:03 jecharri Note Added: 0055997
2013-01-31 16:02 ngarcia Relationship added related to 0022946
2013-01-31 16:03 ngarcia Review Assigned To => ngarcia
2013-01-31 16:03 ngarcia Note Added: 0056015
2013-01-31 16:03 ngarcia Status resolved => closed
2013-01-31 16:03 ngarcia Fixed in Version => 3.0MP20
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056083


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker